python-igraph (0.11.4+ds-1build1) noble; urgency=high

  * No change rebuild against libigraph3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:50:33 +0100

python-igraph (0.11.4+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Build-Depends list:
        - python3-graph-tool dependency, neutralize/comment;
        - libigraph-dev, bump minimal version to 0.10.10;
        - pkg-config, rename pkgconf;
      - Build-Depends-Indep list:
        - libjs-jquery-datatables, add;
    - d/patches/*:
      - d/p/debianization-documentation.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Feb 2024 11:49:06 +0000

python-igraph (0.11.3+ds-2) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends, python3-graph-tool architecture list, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 29 Jan 2024 21:48:18 +0000

python-igraph (0.11.3+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Build-Depends, specify libigraph-dev minimal required version;
    - d/patches/*:
      - d/p/upstream-fix-tests_cases-g90edc0a53.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Nov 2023 10:06:23 +0000

python-igraph (0.11.2+ds-5) unstable; urgency=medium

  * FTBFS fix release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-tests_cases-g90edc0a53.patch, imported as-is
        from upstream github repository.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 19 Nov 2023 18:18:43 +0000

python-igraph (0.11.2+ds-4) unstable; urgency=medium

  * FTBFS release, fix nonexistent HOME issue.
  * Debianization:
    - d/rules:
      - sphinxdoc machinery, provide a HOME repository;
    - d/clean, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Oct 2023 17:29:22 +0000

python-igraph (0.11.2+ds-3) unstable; urgency=medium

  * FTBFS release, fix sphinxdoc dh load issue.
  * Debianization:
     - d/control:
       - Build-Depends{,-Indep}: move python3-sphinx from
         Build-Depends-Indep to Build-Depends.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Oct 2023 16:11:53 +0000

python-igraph (0.11.2+ds-2) unstable; urgency=medium

  * Debianization:
    - documentation package, initial machinery setup (Closes: #780124);
    - d/copyright, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Oct 2023 12:01:19 +0000

python-igraph (0.11.2+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 17 Oct 2023 09:36:11 +0000

python-igraph (0.10.8+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Testsuite field, neutralize for now;
    - d/tests/{control,check}, provide for now tests written by hand.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 19 Sep 2023 16:28:37 +0000

python-igraph (0.10.8+ds-1) experimental; urgency=medium

  * FIXME release, build against the debian packaged libigraph instead
     of a code copy.
  * Debianization:
    - d/control:
      - Build-Depends:
        - thaw the FIXME placeholder;
        - add packages to fulfill tests;
    - d/copyright:
      - Files-Excluded list, introduce (mainly drop the C igraph library
          source) (Closes: #1047542);
    - d/watch, repack;
    - d/patches/*:
      - d/p/debianization.patch, introduce;
    - d/rules, refresh;
    - d/prepare, remove (obsolete material).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 18 Sep 2023 17:33:49 +0000

python-igraph (0.10.8-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Uploaders list:
        - remove Hugo Lefeuvre <hle@debian.org> (Closes: #1050270);
        - add myself;
      - Standards-Version, bump to 4.6.2 (no change);
    - d/copyright:
      - main Copyright, refresh;
      - Debian related Copyright, add myself.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Sep 2023 20:58:56 +0000

python-igraph (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 11:27:51 +0100

python-igraph (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11
  * Bump Standards-Version to 4.6.1.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 20 Jul 2022 19:02:37 +0900

python-igraph (0.9.9-1) unstable; urgency=medium

  * Team upload.
  * Drop unused debian/*.in files
  * Do not Build-Depend from libigraph-dev.  In the long term debian packaged
    libigraph should be used instead of a code copy.
    Closes: #1003829

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jan 2022 08:25:35 +0100

python-igraph (0.9.8-1) unstable; urgency=medium

  * d/watch: Follow upstream project name change.
  * New upstream version 0.9.8

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 28 Nov 2021 22:26:58 +0900

python-igraph (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 11 Sep 2021 18:49:50 +0900

python-igraph (0.9.0-2) unstable; urgency=medium

  * d/control: add cmake to B-D. (Closes: #983696)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 01 Mar 2021 00:26:28 +0900

python-igraph (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump Standards-Version to 4.5.1
  * Bump debian-compat to 13

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 28 Feb 2021 17:44:07 +0900

python-igraph (0.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.8.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 Nov 2020 12:20:20 +0900

python-igraph (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 30 May 2020 13:30:27 +0900

python-igraph (0.8.0-2) unstable; urgency=medium

  * d/control: Add bison and libxml2-dev to B-D.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 14:15:37 +0900

python-igraph (0.8.0-1) unstable; urgency=medium

  * d/salsa-ci.yml: Add a CI config file
  * New upstream version 0.8.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0
  * d/patches/*: Remove upstream merged patches.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 11:51:54 +0900

python-igraph (0.7.1.post6-8) unstable; urgency=medium

  * Team upload.
  * Convert git repository from git-dpm to gbp layout.
  * Bump Standards-Version to 4.4.1.
  * Drop Python 2 support (Closes: #937827).

 -- Ondřej Nový <onovy@debian.org>  Fri, 25 Oct 2019 13:19:35 +0200

python-igraph (0.7.1.post6-7) unstable; urgency=high

  * Patch by Nicolas Boulenguez, thanks!
  * Temporary workaround to avoid shipping headers in /usr/include/python3.7
    (instead of /usr/include/python3.7m). This is likely to be a
    python3-stdlib-extensions bug so we should consider removing this as soon
    as the bug as been addressed (Closes: #920337).
  * Migrate to compat = 12:
  * debian/control:
    - update debhelper dependency and migrate to debhelper-compat.
    - Rules-Requires-Root: no.
  * Remove now useless debian/compat file.
  * Bump debian/watch version to 4.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 04 Feb 2019 09:02:15 +0100

python-igraph (0.7.1.post6-6) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Hugo Lefeuvre ]
  * Thanks to Nicolas Boulenguez for his patch suggestions !
  * debian/patches:
    - Disable buggy tests causing FTBFS (Closes: #912410).
    - Refresh patches.
  * Bump compat to 11.
  * debian/control:
    - Bump Standards-Version to 4.3.0.
    - Add python{3,}-numpy test dependency.
    - Add python{3,}-texttable dependency, stop using version from vendors/.
    - Bump debhelper dependency to >= 11.
    - Enable autopkgtest.
  * Bump copyright years.
  * Convert to git-dpm and run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 22 Jan 2019 20:41:32 +0100

python-igraph (0.7.1.post6-5) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 23 Sep 2017 10:30:14 +0200

python-igraph (0.7.1.post6-4) experimental; urgency=low

  * Bump compat level to 10 and update debhelper dependency accordingly.
  * Bump copyright years in debian/copyright.
  * Add hardening flags to the build options.
  * Fix AttributeError when plotting graph inline in jupyter notebook
    (Closes: #862054).

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 10 Jun 2017 10:10:02 +0200

python-igraph (0.7.1.post6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Hugo Lefeuvre ]
  * Fix FTBFS on i386 (Closes: #806383).
  * debian/control:
    - Add myself to the uploaders.
    - Bump Standards-Version to 3.9.8.
    - Update Homepage field.
    - Update Description field for python-igraph and python3-igraph in order
      to avoid duplicates.
    - Add dh-python to the Build-Dependency list.
  * debian/compat, debian/control:
    - Bump compatibility to 9, and update dependency on debhelper to (> 9).
  * debian/copyright:
    - Add an entry for Hugo Lefeuvre.
    - Update copyright years.
  * debian/rules:
    - Stop shipping empty directory /usr/bin.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 24 Aug 2016 11:34:14 +0200

python-igraph (0.7.1.post6-2) unstable; urgency=medium

  * debian/control: Add pkg-config to Build-Depends. (Closes: #806230)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 13:03:36 +0900

python-igraph (0.7.1.post6-1) unstable; urgency=medium

  * New upstream release. (Closes: #758211)
    +  Fix FTBFS. (Closes: #759858, #797829)
  * Bump Standards-Version to 3.9.6.
  * Support Python 3. (Closes: #742134)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 13:51:21 +0900

python-igraph (0.6.5-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release
  * Bump Standards-Version to 3.9.4.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Jun 2013 10:57:53 +0900

python-igraph (0.5.4-2) unstable; urgency=low

  * Stop installing /usr/bin/igrpah. (Closes: #664443)
  * debian/control: Change Maintainer to DPMT.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 18 Mar 2012 11:38:57 +0900

python-igraph (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #574825)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 17 Mar 2012 17:23:55 +0900
